import { defAxios as request } from '@/utils/http'
/**
 * 获取部门管理数据接口
 * @returns 部门分页
 */
export function getDeptList(params) {
  return request({
    url: '/dept/index',
    method: 'GET',
    params
  })
}

/**
 * 获取部门全部数据接口
 * @returns 部门全部数据
 */
export function getDeptAll(params) {
  return request({
    url: '/dept/getDeptList',
    method: 'GET',
    params
  })
}

/**
 * 添加部门
 * params
 */
export function addDept(data) {
  return request({
    url: '/dept/add',
    method: 'POST',
    data
  })
}

/**
 * 编辑部门
 * params
 */
export function editDept(data) {
  return request({
    url: '/dept/edit',
    method: 'PUT',
    data
  })
}

/**
 * 删除部门
 * params
 */
export function deleteDept(id) {
  return request({
    url: `/dept/delete/${id}`,
    method: 'DELETE'
  })
}
